Package org.eclipse.cdt.core.parser

# Class StandardAttributes

java.lang.Object
org.eclipse.cdt.core.parser.StandardAttributes

public class StandardAttributes extends Object

Since:
  6.3
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CARRIES_DEPENDENCY`
`static final char[]`
`cCARRIES_DEPENDENCY`
`static final char[]`
`cDEPRECATED`
`static final char[]`
`cFALLTHROUGH`
`static final char[]`
`cMAYBE_UNUSED`
`static final char[]`
`cNODISCARD`
`static final char[]`
`cNORETURN`
`static final String`
`DEPRECATED`
`static final String`
`FALLTHROUGH`
`static final String`
`MAYBE_UNUSED`
`static final String`
`NODISCARD`
`static final String`
`NORETURN`

## Constructor Summary

Constructors
Constructor
Description
`StandardAttributes()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CARRIES_DEPENDENCY

public static final String CARRIES_DEPENDENCY

See Also:
  - Constant Field Values

### DEPRECATED

public static final String DEPRECATED

See Also:
  - Constant Field Values

### FALLTHROUGH

public static final String FALLTHROUGH

See Also:
  - Constant Field Values

### MAYBE_UNUSED

public static final String MAYBE_UNUSED

See Also:
  - Constant Field Values

### NODISCARD

public static final String NODISCARD

See Also:
  - Constant Field Values

### NORETURN

public static final String NORETURN

See Also:
  - Constant Field Values

### cCARRIES_DEPENDENCY

public static final char[] cCARRIES_DEPENDENCY

### cDEPRECATED

public static final char[] cDEPRECATED

### cFALLTHROUGH

public static final char[] cFALLTHROUGH

### cMAYBE_UNUSED

public static final char[] cMAYBE_UNUSED

### cNODISCARD

public static final char[] cNODISCARD

### cNORETURN

public static final char[] cNORETURN

## Constructor Details

### StandardAttributes

public StandardAttributes()